#!/bin/sh

ROOT=/tmp/rootfs
GNU_NAME=
BUSYBOX=/tmp/A
CROSS=/tmp/Cross/gcc-4.1.0-glibc-2.3.2
TARGET_LIBS=/lib
DEST=/tmp/newfs.img

mkdir -p $ROOT
mkdir $ROOT/lib
cp $TARGET_LIBS/libm.so.6 $ROOT/lib
cp $TARGET_LIBS/libc.so.6 $ROOT/lib
cp $TARGET_LIBS/libcrypt.so.1 $ROOT/lib
cp $TARGET_LIBS/ld-linux.so.2 $ROOT/lib

cp -ar etc $ROOT/etc
touch $ROOT/etc/mdev.conf
./mkbusybox.sh $BUSYBOX $ROOT $GNU_NAME

ln -s sbin/init $ROOT/init
cd $ROOT
find . | cpio -o -H newc | gzip > $DEST
